CREATE TABLE connection_profile_type
(
	connectionprofiletype bigint NOT NULL,
	description 		  character varying (255),
	CONSTRAINT connection_profile_type_pkey PRIMARY KEY ( connectionprofiletype )
	
);

CREATE TABLE connection_profile
(
  connection_profile_id bigint NOT NULL,
  creation_date timestamp without time zone,
  description character varying(500) NOT NULL,
  name character varying(250) NOT NULL,
  update_date timestamp without time zone,
  created_by character varying(128),
  updated_by character varying(255),
  connectionprofiletype bigint,
  CONSTRAINT connection_profile_pkey PRIMARY KEY ( connection_profile_id ),
  CONSTRAINT fk_connection_profile_type FOREIGN KEY (connectionprofiletype)
      REFERENCES connection_profile_type (connectionprofiletype) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE
);

