#!/bin/bash 

THIS_DIR=$(cd $(dirname $0); pwd)

echo '========================================================================'
echo 'Get the database name, id and password, and the version'
echo '========================================================================'
# Open an unused descriptor '6', and pass contents of the file to it
exec 6<$1
# Now read each line in the descriptor into the values
read DB_NAME <&6
read DB_OWNER <&6
read DB_PASSWORD <&6
read spectre_version <&6
# Release the descriptor
exec 6<&-
echo "DB_NAME: ${DB_NAME}"
echo "DB_OWNER: ${DB_OWNER}"
# echo "DB_PASSWORD: ${DB_PASSWORD}"
echo "DB_PASSWORD: **********"
echo "spectre_version: ${spectre_version}"

stampIt()
{
   echo "     $1"
}

pushd $THIS_DIR
echo '========================================================================'
echo 'Go through each directory under DBscripts and stamp the files'
echo '========================================================================'
find DBScripts -name "*.sql" -exec sed -i "s/@VERSION@/${spectre_version}/g;" {} \;
find DBScripts -name "*.sql" -exec sed -i "s/@DB_NAME@/${DB_NAME}/g;" {} \;
find DBScripts -name "*.sql" -exec sed -i "s/@DB_OWNER@/${DB_OWNER}/g;" {} \;
find DBScripts -name "*.sql" -exec sed -i "s/@DB_PASSWORD@/${DB_PASSWORD}/g;" {} \;
popd
